#ifndef ITK_Invert_H
#define ITK_Invert_H

#include <itk/transformation.h>

class Invert : public Transformation {
public:
                  Invert();
  virtual         ~Invert();

  virtual bool    transform( Raster &src, Raster &deset);
  virtual bool    transform( const Raster &src, Raster &dest);

private:
  DENY_COPY( Invert)

          bool    do_invert( const Raster &src, Raster &dest);
};


#ifdef DO_ITK_INLINE
#include <itk/invert.inl>
#endif

#endif//ITK_Invert_H
